package com.yunfeiyun.agmp.common.core.domain.model;

import java.util.Set;

public interface IBaseRole {
    public String getId();
    public String getRoleId();
    public void setRoleId(String roleId);
    public boolean isAdmin();
    public String getRoleName();
    public void setRoleName(String roleName);
    public String getRoleKey();
    public void setRoleKey(String roleKey);
    public Integer getRoleSeq();
    public void setRoleSeq(Integer roleSeq);
    public String getRoleDataScope();
    public void setRoleDataScope(String roleDatascope);
    public boolean isRoleMenuCheckStrictly();
    public void setRoleMenuCheckStrictly(boolean roleMenucheckstrictly);
    public boolean isRoleDeptCheckStrictly();
    public void setRoleDeptCheckStrictly(boolean roleDeptcheckstrictly);
    public String getRoleAvlstatus();
    public void setRoleAvlstatus(String roleAvlstatus);
    public String getRoleDelstatus();
    public void setRoleDelstatus(String roleDelstatus);
    public boolean isFlag();
    public void setFlag(boolean flag);
    public String[] getMenuIds();
    public void setMenuIds(String[] menuIds);
    public String[] getDeptIds();
    public void setDeptIds(String[] deptIds);
    public Set<String> getPermissions();
    public void setPermissions(Set<String> permissions);
    public String getRoleCreator();
    public void setRoleCreator(String roleCreator);
    public String getRoleCreateddate();
    public void setRoleCreateddate(String roleCreateddate);
    public String getRoleModifier();
    public void setRoleModifier(String roleModifier);
    public String getRoleModifieddate();
    public void setRoleModifieddate(String roleModifieddate);
    public String getRoleRemark();
    public void setRoleRemark(String roleRemark);
}
